Get the available countries
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/countries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"country_name": "<string>",
"country_code": "<string>",
"country_code_alpha_3": "<string>"
}
]{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get the available countries
Returns a list of all available countries supported by the system. Each country object includes its full name, two-letter ISO 3166-1 alpha-2 code, and three-letter ISO 3166-1 alpha-3 code.
GET
/
resources
/
countries
Get the available countries
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Response
Successful Response
Full name of the country
Required string length:
1 - 70Examples:
"Slovakia"
"Slovenia"
Three-letter ISO 3166-1 alpha-3 country code
Required string length:
3Examples:
"SVK"
"SVN"
⌘I